Get Network
curl --request GET \
--url https://api.novita.ai/gpus/v2/networks/{network_id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.novita.ai/gpus/v2/networks/{network_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.novita.ai/gpus/v2/networks/{network_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "network-abc123",
"owner_id": "user-abc123",
"name": "dev-vpc",
"status": {
"status": "running",
"error": "",
"message": ""
},
"cidr": "10.0.0.0/24",
"region_id": "cluster-abc123",
"instances": [
{
"id": "instance-abc123",
"ip": "10.0.0.10"
}
],
"created_at": 1710000000,
"member_id": "550e8400-e29b-41d4-a716-446655440000"
}Network
Get Network
GET
/
gpus
/
v2
/
networks
/
{network_id}
Get Network
Headers
Bearer authentication format, e.g.: Bearer {{API_KEY}}.
Path Parameters
Network ID.
Response
200 - application/json
OK
Network ID
Example:
"network-abc123"
Owner ID
Example:
"user-abc123"
Network name
Example:
"dev-vpc"
Network status
Show child attributes
Show child attributes
CIDR block
Example:
"10.0.0.0/24"
Region ID
Example:
"cluster-abc123"
Instances assigned to this Network
Show child attributes
Show child attributes
Creation time. Unix timestamp
Example:
1710000000
Member ID
Example:
"550e8400-e29b-41d4-a716-446655440000"
Last modified on June 23, 2026
Was this page helpful?
⌘I